#ifndef __STABALIZER_H
#define __STABALIZER_H
#include <stdbool.h>
#include <stdint.h>
#include "stabilizer_types.h"
#include "config.h"


#define STABALIZER_PULSE_EVENT   0x0001

void stabilizerInit(void);
tmosEvents stabilizerEventProcess(tmosTaskID task_id, tmosEvents events);
bool stabilizerTest(void);

void getAttitudeData(attitude_t* get);
float getBaroData(void);
bool getIsCalibPass(void);
#endif /* __STABALIZER_H */
